seo:
  title: Ski first, work later - How to win the burnout battle
  description: >-
    How I truly achieved work/life balance with an all-remote async working
    style.
  ogTitle: Ski first, work later - How to win the burnout battle
  ogDescription: >-
    How I truly achieved work/life balance with an all-remote async working
    style.
  noIndex: false
  ogImage: images/blog/hero-images/taylor-peak.jpg
  ogUrl: https://about.gitlab.com/blog/best-life-best-work
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/best-life-best-work
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Ski first, work later - How to win the burnout battle",
            "author": [{"@type":"Person","name":"Taylor McCaslin"}],
            "datePublished": "2022-06-07",
          }

content:
  title: Ski first, work later - How to win the burnout battle
  description: >-
    How I truly achieved work/life balance with an all-remote async working
    style.
  authors:
    - Taylor McCaslin
  heroImage: images/blog/hero-images/taylor-peak.jpg
  date: '2022-06-07'
  body: >


    It's 9:13 am and 20 degrees outside in Big Sky, Montana. I'm bundled up in
    my warm rainbow pride ski suit. Dangling 30 feet in the crisp air, perched
    on a ski lift, I'm on my way up to a double black diamond run 9,382 feet
    above sea level. There are few people out this early on a Wednesday morning.
    I ski off the top of the lift and enjoy a beautifully untracked run of
    champagne powder snow, fresh from last night's snowstorm. This is a normal
    start to the workday for me. And I have a bit of a secret to admit, this is
    exactly why I joined GitLab.


    ![Taylor on a chair lift at Big Sky
    Resort](https://about.gitlab.com/images/blogimages/2022-06-04-best-life-best-work/chair-lift.jpg)


    ## Something's gotta give


    Rewind two years to January 2020, before I joined GitLab. Before I had
    materialized my daily skiing routine. Before I moved to Big Sky. Before the
    global Covid-19 pandemic. I had decided I needed to make a change in my
    life. I had spent the past decade of my life climbing the startup tech
    career ladder. Along the way I had sacrificed my health, happiness, and my
    mental and emotional well-being. I was burnt out. While I don't think I'd
    change anything going back, I knew the next decade wouldn't sustain that
    lack of work and life balance. I needed to get back to being the person my
    friends and family knew: a slim guy with a smile always on his face and a
    hopeful outlook for the future.


    > You’re invited! Join us on June 23rd for the [GitLab 15 launch
    event](https://page.gitlab.com/fifteen) with DevOps guru Gene Kim and
    several GitLab leaders. They’ll show you what they see for the future of
    DevOps and The One DevOps Platform.


    ## A remote change


    GitLab had been on my radar for a number of years as many of my tech friends
    had become DevOps engineers, but I had not used it myself. What I did know
    was at the time they were one of the few [truly remote companies with no
    offices and a global team embracing an async work
    style](/company/culture/all-remote/tips/#how-it-works-at-gitlab). 


    While I hadn't ever worked remotely before, I knew I liked the idea of not
    being stuck in a bland office of noisy and distracting open floor layout
    workspaces surrounded by silly ping pong tables and unlimited snacks. My
    previous employers thought these things made for a 'supportive environment
    and 'great work culture'. I couldn't disagree more. It was a scary thought
    to have less structure, but my previous decade had shown me those offices
    weren't conducive to my sanity, happiness, or productivity. So I decided,
    let's go all in.


    I knew I wanted to make a big change, so I tested GitLab when I was
    interviewing. I gauged reactions from my interview panel as I described my
    desire to move to a ski mountain and balance working and skiing. I was
    caught by surprise. Every person I interviewed with loved this idea and
    encouraged me that GitLab's remote and async working style would be
    supportive of this plan. Just about everyone had a story of how they
    themselves had adjusted their schedule to add flexibility to their lives. I
    was convinced. This was the future. 


    ## A global pandemic 


    Two months after joining GitLab in January 2020, the pandemic ruined my
    plans to relocate to a wintry wonderland. I delayed my move, diving into
    work like many of us did, mainly because there wasn't anything better to do.
    Fast-forward to December 2020 – it was clear Covid wasn't going away anytime
    soon. I had gained the Covid 15 lbs. from sheltering in place in my Austin,
    Texas, apartment for the past nine months. It was time for a change. I
    needed to prioritize my sanity and health. An outdoor sport like skiing
    seemed like a relatively low-risk activity. The move was back on. 


    By February 2021, I had relocated to Big Sky, 1,600 miles away from the
    state I had lived in for my entire life. With zero friends and only two bags
    to a town of 3,000 people. I had visited Big Sky a number of times on ski
    trips with friends in the years before, and each time the three-to-four day
    trip never seemed long enough. Now I would be able to call this place my
    home. 


    ![Welcome sign to Big Sky,
    Montana](https://about.gitlab.com/images/blogimages/2022-06-04-best-life-best-work/welcome-to-bigsky.jpg)


    ## A new chapter


    2021 was the year of me. I was turning 30, exploring a new life living in a
    mountain town. It's hard to believe how fast your life can completely
    change. I went from being depressed and unhappy living a sedentary life in
    Texas to being out and about on a beautiful mountain nearly daily with a new
    sense of self. 


    I've done things I never thought I would, or could, do. I took up hiking. I
    learned to enjoy the outdoors by visiting Yellowstone National Park, just 30
    minutes from my house. I also explored 13 other national and state parks. I
    learned downhill mountain biking. I rode over 1,000 miles downhill on my
    mountain bike. I've explored mountains in five states and two countries, and
    I've skied and biked in the shadow of the Grand Tetons. I skied 186 days at
    20 resorts across the last two ski seasons. I went on a combination ski and
    biking trip to the mountains of Salt Lake City and Moab, Utah, and to the
    mountains of Canada. Along the way I lost 25 lbs., getting me back to a
    healthy weight I felt good about. 


    ![Collage of Taylor's adventures while at
    Gitlab](https://about.gitlab.com/images/blogimages/2022-06-04-best-life-best-work/collage.jpg)


    ## Happy people do their best work


    And you know what else is crazy? I've been doing my best work since all
    this. [GitLab went
    public](/blog/2021/10/14/gitlab-inc-takes-the-devops-platform-public/) last
    October. I am now establishing and leading [a new machine learning
    team](/direction/modelops/) at a public company, all from rural Montana.
    This also presented me with an opportunity to even further embrace remote
    async life. 


    With my new ModelOps team at GitLab, I have a number of team members in
    APAC, so I decided this past winter to switch to working evenings, embracing
    some of my favorite GitLab values: [Measure results not
    hours](/handbook/values/#measure-results-not-hours) and [shifting working
    hours for a cause](/handbook/values/#shift-working-hours-for-a-cause). This
    change allows me to ski and mountain bike during the day and, as a night
    owl, leverage my most productive hours overlapping with more of my
    colleagues in APAC. 


    ![Taylor biking in Glacier National
    Park](https://about.gitlab.com/images/blogimages/2022-06-04-best-life-best-work/glacier.jpg)


    Now I can join my evening team meetings in person rather than relying on a
    recording and notes. I always enjoy when I meet with my team members as they
    always want to know: "What mountain are you on today?" It's a simple small
    talk question, but it's just another way we connect virtually and get to
    know each other better as people. And, of course, at GitLab we have a Slack
    channel for everything. I frequently post and share my adventures in
    #DevSkiOps and #mountainbiking and enjoy swapping photos, tips, and articles
    with my fellow GitLab skiers and bikers. But let's have the numbers speak
    for themselves. Here are my '21/'22 ski season metrics, and I can't wait for
    this summer's mountain biking adventures.  


    ![Taylor's 2021/22 Ski
    metrics](https://about.gitlab.com/images/blogimages/2022-06-04-best-life-best-work/slopesapp.jpg)


    My journey to the mountains and switching up my working schedule all
    showcase my favorite value at GitLab: [Don't
    wait](/handbook/values/#dont-wait). I think this value applies to our
    personal lives as much as it does to our professional ones. Life is short,
    and the pandemic has made that even more real as we've lost so many friends
    and family so early. Gone are the days of sacrificing your life for 9-5
    dead-end jobs. We're realizing life has so much more to offer and employers
    are increasingly recognizing that happy employees do their best work. 


    Had you asked me two years ago if I'd see myself living in a small mountain
    town skiing and biking nearly daily while working at a public company,
    living my best personal life, and doing the best work of my career, I would
    have thought you were crazy. But now it's my life. All thanks to the [remote
    and async
    lifestyle](/company/culture/all-remote/guide/#the-remote-manifesto) GitLab
    empowers. And the best part, [we're hiring](/jobs/).


    ![GitLab Remote Work Promo with
    Taylor](https://about.gitlab.com/images/blogimages/2022-06-04-best-life-best-work/ski-promo.png)
  category: Company
  tags:
    - inside GitLab
    - remote work
config:
  slug: best-life-best-work
  featured: false
  template: BlogPost
